Skip to main content
GET
/
api
/
datasetrw
/
v2
/
datasets
Get datasets the user has access to
curl --request GET \
  --url https://api.example.com/api/datasetrw/v2/datasets \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "datasets": [
    {
      "dataset": {
        "createdAt": "2022-03-12T02:13:44.467Z",
        "id": "62313ce67a0af0281c01a6a5",
        "name": "My Dataset",
        "snapshotIds": [
          "<string>"
        ],
        "tags": {},
        "description": "<string>",
        "projectId": "62313ce67a0af0281c01a6a5"
      },
      "projectInfo": {
        "projectId": "<string>",
        "projectName": "<string>",
        "projectOwnerUsername": "<string>"
      }
    }
  ],
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>",
    "limit": 123,
    "offset": 123,
    "totalCount": 123
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Query Parameters

minimumPermission
enum<string>

Filter for minimum dataset permission the principal needs to have in returned datasets. Permission within a dataset

Available options:
DeleteDatasetRwV2,
EditSecurityDatasetRwV2,
ListDatasetRwV2,
PerformDatasetRwActionsInProjectV2,
PermanentDeleteDatasetRwV2,
ReadDatasetRwV2,
UpdateDatasetRwV2,
PerformDatasetRwActionsAsAdminV2
projectIdsToExclude
string[]

ProjectIds of datasets to exclude from result.

projectIdsToInclude
string[]

ProjectIds to get the datasets from. Should not be passed in if projectIdsToExclude is and vice versa.

includeProjectInfo
boolean

Boolean to determine whether or not to return project-info in return objects.

offset
integer

How many Datasets from the start to skip. Defaults to 0.

limit
integer

Max number of Datasets to fetch. Defaults to 10.

Response

Success

datasets
object[]
required
metadata
object
required